/*
 * iparapheur Core
 * Copyright (C) 2018-2025 Libriciel-SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */

package coop.libriciel.ipcore.model.workflow;

import com.fasterxml.jackson.annotation.JsonEnumDefaultValue;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.extern.log4j.Log4j2;


@Log4j2
@Getter
@AllArgsConstructor
@Schema(enumAsRef = true)
public enum State {

    @JsonEnumDefaultValue
    DRAFT,
    LATE,
    FINISHED,
    CURRENT,
    PENDING,
    DELEGATED,
    VALIDATED,
    RETRIEVABLE,
    UPCOMING,
    REJECTED,
    TRANSFERRED,
    SECONDED,
    BYPASSED,
    DOWNSTREAM

}
